<?php

namespace Dalten\RuianToUir\Converter\Result;

readonly class RemoveRecord implements ResultInterface
{
    public function __construct(private string $itemType, private int $identifier)
    {
    }

    /** {@inheritdoc} */
    public function getData(): array
    {
        return [];
    }

    /** {@inheritdoc} */
    public function getItemType(): string
    {
        return $this->itemType;
    }

    /** {@inheritdoc} */
    public function getIdentifier(): int
    {
        return $this->identifier;
    }
}
